[kakao](../index.md) / [com.agoda.kakao](.)

## Package com.agoda.kakao

### Types

| Name | Summary |
|---|---|
| [ActivityResultBuilder](-activity-result-builder/index.md) | `class ActivityResultBuilder`<br>Class for building ActivityResult |
| [AnyTextMatcher](-any-text-matcher/index.md) | `class AnyTextMatcher : BoundedMatcher<`[`View`](https://developer.android.com/reference/android/view/View.html)`, `[`TextView`](https://developer.android.com/reference/android/widget/TextView.html)`>`<br>Matches TextView views which contains any text |
| [BackgroundColorMatcher](-background-color-matcher/index.md) | `class BackgroundColorMatcher : TypeSafeMatcher<`[`View`](https://developer.android.com/reference/android/view/View.html)`>`<br>Matches given background color with the current one |
| [BaseActions](-base-actions/index.md) | `interface BaseActions`<br>Base interface for performing actions on view |
| [BaseAssertions](-base-assertions/index.md) | `interface BaseAssertions`<br>Base interface for asserting views |
| [BottomNavigationViewActions](-bottom-navigation-view-actions/index.md) | `interface BottomNavigationViewActions : `[`BaseActions`](-base-actions/index.md)<br>Provides actions for BottomNavigationView |
| [BottomNavigationViewAssertions](-bottom-navigation-view-assertions/index.md) | `interface BottomNavigationViewAssertions : `[`BaseAssertions`](-base-assertions/index.md)<br>Provides assertion for BottomNavigationview |
| [BundleBuilder](-bundle-builder/index.md) | `class BundleBuilder`<br>Class for building Bundle matchers |
| [CheckableActions](-checkable-actions/index.md) | `interface CheckableActions : `[`BaseActions`](-base-actions/index.md)<br>Provides action for checking views |
| [CheckableAssertions](-checkable-assertions/index.md) | `interface CheckableAssertions : `[`BaseAssertions`](-base-assertions/index.md)<br>Provides checkable based assertions for views |
| [ComponentNameBuilder](-component-name-builder/index.md) | `class ComponentNameBuilder`<br>Class for building ComponentName matchers |
| [DataBuilder](-data-builder/index.md) | `class DataBuilder`<br>Class for building data matchers |
| [DrawableMatcher](-drawable-matcher/index.md) | `class DrawableMatcher : TypeSafeMatcher<`[`View`](https://developer.android.com/reference/android/view/View.html)`>`<br>Matches given drawable with current one |
| [DrawerActions](-drawer-actions/index.md) | `interface DrawerActions : `[`BaseActions`](-base-actions/index.md)<br>Provides actions for navigation drawer |
| [EditableActions](-editable-actions/index.md) | `interface EditableActions : `[`BaseActions`](-base-actions/index.md)<br>Provides editable actions for views |
| [EditableAssertions](-editable-assertions/index.md) | `interface EditableAssertions : `[`TextViewAssertions`](-text-view-assertions/index.md)<br>Provides editable based assertions for views |
| [FirstViewMatcher](-first-view-matcher/index.md) | `class FirstViewMatcher : BoundedMatcher<`[`View`](https://developer.android.com/reference/android/view/View.html)`, `[`View`](https://developer.android.com/reference/android/view/View.html)`>`<br>Matches first view |
| [ImageViewAssertions](-image-view-assertions/index.md) | `interface ImageViewAssertions : `[`BaseAssertions`](-base-assertions/index.md)<br>Provides assertion for image views |
| [IndexMatcher](-index-matcher/index.md) | `class IndexMatcher : TypeSafeMatcher<`[`View`](https://developer.android.com/reference/android/view/View.html)`>`<br>Matches index'th view that matches given matcher |
| [IntentBuilder](-intent-builder/index.md) | `class IntentBuilder`<br>Class for building Intent matchers |
| [ItemMatcher](-item-matcher/index.md) | `class ItemMatcher : BoundedMatcher<`[`View`](https://developer.android.com/reference/android/view/View.html)`, `[`View`](https://developer.android.com/reference/android/view/View.html)`>`<br>Matches first RecyclerView descendant which matches specific matcher |
| [KAdapterItem](-k-adapter-item/index.md) | `open class KAdapterItem<out T> : `[`BaseActions`](-base-actions/index.md)`, `[`BaseAssertions`](-base-assertions/index.md)<br>Base class for KRecyclerView adapter items |
| [KAdapterItemType](-k-adapter-item-type/index.md) | `class KAdapterItemType<out T : `[`KAdapterItem`](-k-adapter-item/index.md)`<*>>`<br>For internal use. Don't use manually. |
| [KAdapterItemTypeBuilder](-k-adapter-item-type-builder/index.md) | `class KAdapterItemTypeBuilder`<br>Class that maps types to providing functions |
| [KBaseView](-k-base-view/index.md) | `open class KBaseView<out T> : `[`BaseActions`](-base-actions/index.md)`, `[`BaseAssertions`](-base-assertions/index.md)<br>Base class for all Kakao views |
| [KBottomNavigationView](-k-bottom-navigation-view/index.md) | `class KBottomNavigationView : `[`KBaseView`](-k-base-view/index.md)`<`[`KBottomNavigationView`](-k-bottom-navigation-view/index.md)`>, `[`BottomNavigationViewActions`](-bottom-navigation-view-actions/index.md)`, `[`BottomNavigationViewAssertions`](-bottom-navigation-view-assertions/index.md)<br>View for acting and asserting on BottomNavigationView |
| [KButton](-k-button/index.md) | `class KButton : `[`KBaseView`](-k-base-view/index.md)`<`[`KButton`](-k-button/index.md)`>, `[`TextViewAssertions`](-text-view-assertions/index.md)<br>View with BaseActions and TextViewAssertions |
| [KCheckBox](-k-check-box/index.md) | `class KCheckBox : `[`KBaseView`](-k-base-view/index.md)`<`[`KCheckBox`](-k-check-box/index.md)`>, `[`CheckableActions`](-checkable-actions/index.md)`, `[`TextViewAssertions`](-text-view-assertions/index.md)`, `[`CheckableAssertions`](-checkable-assertions/index.md)<br>View with CheckableActions, CheckableAssertions and TextViewAssertions |
| [KDrawerView](-k-drawer-view/index.md) | `class KDrawerView : `[`KBaseView`](-k-base-view/index.md)`<`[`KDrawerView`](-k-drawer-view/index.md)`>, `[`DrawerActions`](-drawer-actions/index.md)<br>View with DrawerActions and BaseAssertions |
| [KEditText](-k-edit-text/index.md) | `class KEditText : `[`KBaseView`](-k-base-view/index.md)`<`[`KEditText`](-k-edit-text/index.md)`>, `[`EditableActions`](-editable-actions/index.md)`, `[`EditableAssertions`](-editable-assertions/index.md)<br>View with EditableActions and EditableAssertions |
| [KEmptyAdapterItem](-k-empty-adapter-item/index.md) | `class KEmptyAdapterItem : `[`KAdapterItem`](-k-adapter-item/index.md)`<`[`KEmptyAdapterItem`](-k-empty-adapter-item/index.md)`>`<br>Empty implementation of KAdapterItem |
| [KEmptyRecyclerItem](-k-empty-recycler-item/index.md) | `class KEmptyRecyclerItem : `[`KRecyclerItem`](-k-recycler-item/index.md)`<`[`KEmptyRecyclerItem`](-k-empty-recycler-item/index.md)`>`<br>Empty implementation of KRecyclerItem |
| [KImageView](-k-image-view/index.md) | `class KImageView : `[`KBaseView`](-k-base-view/index.md)`<`[`KImageView`](-k-image-view/index.md)`>, `[`ImageViewAssertions`](-image-view-assertions/index.md)<br>View with BaseActions and ImageViewAssertions |
| [KIntent](-k-intent/index.md) | `class KIntent`<br>This class is intended to be used when you need to check if some intent has been sent or to mock specific intent with result |
| [KListView](-k-list-view/index.md) | `class KListView : `[`ScrollViewActions`](-scroll-view-actions/index.md)`, `[`BaseAssertions`](-base-assertions/index.md)<br>View with ScrollViewActions and BaseAssertions. Gives access to it's children |
| [KNavigationView](-k-navigation-view/index.md) | `class KNavigationView : `[`KBaseView`](-k-base-view/index.md)`<`[`KNavigationView`](-k-navigation-view/index.md)`>, `[`NavigationViewActions`](-navigation-view-actions/index.md)`, `[`NavigationViewAssertions`](-navigation-view-assertions/index.md)<br>View with NavigationViewActions and NavigationViewAssertions |
| [KProgressBar](-k-progress-bar/index.md) | `class KProgressBar : `[`KBaseView`](-k-base-view/index.md)`<`[`KProgressBar`](-k-progress-bar/index.md)`>, `[`ProgressBarActions`](-progress-bar-actions/index.md)`, `[`ProgressBarAssertions`](-progress-bar-assertions/index.md)<br>View with ProgressBarActions and ProgressBarAssertions |
| [KRatingBar](-k-rating-bar/index.md) | `class KRatingBar : `[`KBaseView`](-k-base-view/index.md)`<`[`KRatingBar`](-k-rating-bar/index.md)`>, `[`RatingBarActions`](-rating-bar-actions/index.md)`, `[`RatingBarAssertions`](-rating-bar-assertions/index.md)<br>View with RatingBarActions and RatingBarAssertions |
| [KRecyclerItem](-k-recycler-item/index.md) | `open class KRecyclerItem<out T> : `[`BaseActions`](-base-actions/index.md)`, `[`BaseAssertions`](-base-assertions/index.md)<br>Base class for KRecyclerView adapter items |
| [KRecyclerItemType](-k-recycler-item-type/index.md) | `class KRecyclerItemType<out T : `[`KRecyclerItem`](-k-recycler-item/index.md)`<*>>`<br>For internal use. Don't use manually. |
| [KRecyclerItemTypeBuilder](-k-recycler-item-type-builder/index.md) | `class KRecyclerItemTypeBuilder`<br>Class that maps types to providing functions |
| [KRecyclerView](-k-recycler-view/index.md) | `class KRecyclerView : `[`RecyclerActions`](-recycler-actions/index.md)`, `[`BaseAssertions`](-base-assertions/index.md)<br>View with RecyclerActions and BaseAssertions. Gives access to it's children |
| [KSeekBar](-k-seek-bar/index.md) | `class KSeekBar : `[`KBaseView`](-k-base-view/index.md)`<`[`KSeekBar`](-k-seek-bar/index.md)`>, `[`SeekBarActions`](-seek-bar-actions/index.md)`, `[`ProgressBarAssertions`](-progress-bar-assertions/index.md)<br>View with SeekBarActions and ProgressBarAssertions |
| [KSnackbar](-k-snackbar/index.md) | `class KSnackbar : `[`KBaseView`](-k-base-view/index.md)`<`[`KSnackbar`](-k-snackbar/index.md)`>`<br>View with internal TextView and a Button |
| [KSwipeRefreshLayout](-k-swipe-refresh-layout/index.md) | `class KSwipeRefreshLayout : `[`KBaseView`](-k-base-view/index.md)`<`[`KSwipeRefreshLayout`](-k-swipe-refresh-layout/index.md)`>, `[`SwipeRefreshLayoutActions`](-swipe-refresh-layout-actions/index.md)`, `[`SwipeRefreshLayoutAssertions`](-swipe-refresh-layout-assertions/index.md)<br>View with SwipeRefreshLayoutActions and SwipeRefreshLayoutAssertions |
| [KSwipeView](-k-swipe-view/index.md) | `class KSwipeView : `[`KBaseView`](-k-base-view/index.md)`<`[`KSwipeView`](-k-swipe-view/index.md)`>, `[`SwipeableActions`](-swipeable-actions/index.md)<br>View with SwipeableActions and BaseAssertions |
| [KTabLayout](-k-tab-layout/index.md) | `class KTabLayout : `[`KBaseView`](-k-base-view/index.md)`<`[`KTabLayout`](-k-tab-layout/index.md)`>, `[`TabLayoutActions`](-tab-layout-actions/index.md)`, `[`TabLayoutAssertions`](-tab-layout-assertions/index.md)<br>View with TabLayoutActions and TabLayoutAssertions |
| [KTextInputLayout](-k-text-input-layout/index.md) | `class KTextInputLayout : `[`KBaseView`](-k-base-view/index.md)`<`[`KTextInputLayout`](-k-text-input-layout/index.md)`>, `[`TextInputLayoutAssertions`](-text-input-layout-assertions/index.md)<br>View with TextInputLayoutAssertions |
| [KTextView](-k-text-view/index.md) | `class KTextView : `[`KBaseView`](-k-base-view/index.md)`<`[`KTextView`](-k-text-view/index.md)`>, `[`TextViewActions`](-text-view-actions/index.md)`, `[`TextViewAssertions`](-text-view-assertions/index.md)<br>View with BaseActions and TextViewAssertions |
| [KView](-k-view/index.md) | `class KView : `[`KBaseView`](-k-base-view/index.md)`<`[`KView`](-k-view/index.md)`>`<br>Simple view with BaseActions and BaseAssertions |
| [KViewPager](-k-view-pager/index.md) | `class KViewPager : `[`KBaseView`](-k-base-view/index.md)`<`[`KViewPager`](-k-view-pager/index.md)`>, `[`SwipeableActions`](-swipeable-actions/index.md)`, `[`ViewPagerAssertions`](-view-pager-assertions/index.md)<br>View with SwipeableActions and ViewPagerAssertions |
| [KWebView](-k-web-view/index.md) | `open class KWebView`<br>Class for interacting with WebViews |
| [NavigationItemMatcher](-navigation-item-matcher/index.md) | `class NavigationItemMatcher : BoundedMatcher<`[`View`](https://developer.android.com/reference/android/view/View.html)`, NavigationView>`<br>Matches NavigationView with given item id checked |
| [NavigationViewActions](-navigation-view-actions/index.md) | `interface NavigationViewActions : `[`BaseActions`](-base-actions/index.md)<br>Provides actions for navigation view |
| [NavigationViewAssertions](-navigation-view-assertions/index.md) | `interface NavigationViewAssertions : `[`BaseAssertions`](-base-assertions/index.md)<br>Provides assertions for NavigationView |
| [PageMatcher](-page-matcher/index.md) | `class PageMatcher : BoundedMatcher<`[`View`](https://developer.android.com/reference/android/view/View.html)`, ViewPager>`<br>Matches ViewPager which page index equals given |
| [PositionMatcher](-position-matcher/index.md) | `class PositionMatcher : BoundedMatcher<`[`View`](https://developer.android.com/reference/android/view/View.html)`, `[`View`](https://developer.android.com/reference/android/view/View.html)`>`<br>Matches RecyclerView descendant at given position in adapter |
| [PreciseSwipe](-precise-swipe/index.md) | `object PreciseSwipe : Swiper` |
| [ProgressBarActions](-progress-bar-actions/index.md) | `interface ProgressBarActions : `[`BaseActions`](-base-actions/index.md)<br>Provides action for ProgressBar |
| [ProgressBarAssertions](-progress-bar-assertions/index.md) | `interface ProgressBarAssertions : `[`BaseAssertions`](-base-assertions/index.md)<br>Provides assertions for progress bar |
| [ProgressMatcher](-progress-matcher/index.md) | `class ProgressMatcher : BoundedMatcher<`[`View`](https://developer.android.com/reference/android/view/View.html)`, `[`ProgressBar`](https://developer.android.com/reference/android/widget/ProgressBar.html)`>`<br>Matcher of value progress of given matcher |
| [RatingBarActions](-rating-bar-actions/index.md) | `interface RatingBarActions : `[`BaseActions`](-base-actions/index.md)<br>Provides action for RatingBar |
| [RatingBarAssertions](-rating-bar-assertions/index.md) | `interface RatingBarAssertions : `[`BaseAssertions`](-base-assertions/index.md)<br>Provides assertions for RatingBar |
| [RatingBarMatcher](-rating-bar-matcher/index.md) | `class RatingBarMatcher : BoundedMatcher<`[`View`](https://developer.android.com/reference/android/view/View.html)`, `[`RatingBar`](https://developer.android.com/reference/android/widget/RatingBar.html)`>`<br>Matcher of value rating of given matcher |
| [RecyclerActions](-recycler-actions/index.md) | `interface RecyclerActions : `[`ScrollableActions`](-scrollable-actions/index.md)<br>Provides ScrollableActions implementation for RecyclerView |
| [RootBuilder](-root-builder/index.md) | `class RootBuilder`<br>Class for building root matchers |
| [Screen](-screen/index.md) | `open class Screen<out T : `[`Screen`](-screen/index.md)`<T>> : `[`ScreenActions`](-screen-actions/index.md)<br>Container class for UI elements. |
| [ScreenActions](-screen-actions/index.md) | `interface ScreenActions`<br>Interface with common actions for all screens |
| [ScrollViewActions](-scroll-view-actions/index.md) | `interface ScrollViewActions : `[`ScrollableActions`](-scrollable-actions/index.md)<br>Provides ScrollableActions implementation for ScrollView |
| [ScrollableActions](-scrollable-actions/index.md) | `interface ScrollableActions : `[`BaseActions`](-base-actions/index.md)<br>Provides scrolling actions for view |
| [SeekBarActions](-seek-bar-actions/index.md) | `interface SeekBarActions : `[`ProgressBarActions`](-progress-bar-actions/index.md)<br>Provides action for SeekBar |
| [SwipeRefreshLayoutActions](-swipe-refresh-layout-actions/index.md) | `interface SwipeRefreshLayoutActions : `[`SwipeableActions`](-swipeable-actions/index.md)<br>Provides actions for SwipeRefreshLayout |
| [SwipeRefreshLayoutAssertions](-swipe-refresh-layout-assertions/index.md) | `interface SwipeRefreshLayoutAssertions : `[`BaseAssertions`](-base-assertions/index.md)<br>Provides assertion for SwipeRefreshLayout |
| [SwipeRefreshLayoutMatcher](-swipe-refresh-layout-matcher/index.md) | `class SwipeRefreshLayoutMatcher : TypeSafeMatcher<`[`View`](https://developer.android.com/reference/android/view/View.html)`>` |
| [SwipeableActions](-swipeable-actions/index.md) | `interface SwipeableActions : `[`BaseActions`](-base-actions/index.md)<br>Provides swipe actions for views |
| [TabLayoutActions](-tab-layout-actions/index.md) | `interface TabLayoutActions : `[`BaseActions`](-base-actions/index.md)<br>Provides action for TabLayout |
| [TabLayoutAssertions](-tab-layout-assertions/index.md) | `interface TabLayoutAssertions : `[`BaseAssertions`](-base-assertions/index.md)<br>Provides assertions for TabLayout |
| [TextInputLayoutAssertions](-text-input-layout-assertions/index.md) | `interface TextInputLayoutAssertions : `[`BaseAssertions`](-base-assertions/index.md)<br>Provides assertions for TextInputLayout |
| [TextInputLayoutCounterEnabledMatcher](-text-input-layout-counter-enabled-matcher/index.md) | `class TextInputLayoutCounterEnabledMatcher : TypeSafeMatcher<`[`View`](https://developer.android.com/reference/android/view/View.html)`>` |
| [TextInputLayoutErrorEnabledMatcher](-text-input-layout-error-enabled-matcher/index.md) | `class TextInputLayoutErrorEnabledMatcher : TypeSafeMatcher<`[`View`](https://developer.android.com/reference/android/view/View.html)`>` |
| [TextInputLayoutHintEnabledMatcher](-text-input-layout-hint-enabled-matcher/index.md) | `class TextInputLayoutHintEnabledMatcher : TypeSafeMatcher<`[`View`](https://developer.android.com/reference/android/view/View.html)`>` |
| [TextViewActions](-text-view-actions/index.md) | `interface TextViewActions : `[`BaseActions`](-base-actions/index.md)<br>Provides actions for TextViews |
| [TextViewAssertions](-text-view-assertions/index.md) | `interface TextViewAssertions : `[`BaseAssertions`](-base-assertions/index.md)<br>Provides text based assertions for views |
| [UriBuilder](-uri-builder/index.md) | `class UriBuilder`<br>Class for building Uri matchers |
| [ViewBuilder](-view-builder/index.md) | `class ViewBuilder`<br>Class for building view matchers and interactions |
| [ViewPagerAssertions](-view-pager-assertions/index.md) | `interface ViewPagerAssertions : `[`BaseAssertions`](-base-assertions/index.md)<br>Provides assertions for view pagers |
| [WebActions](-web-actions/index.md) | `interface WebActions`<br>Provides action for interacting with WebViews |
| [WebAssertions](-web-assertions/index.md) | `interface WebAssertions`<br>Interface that provides assertions for WebViews |
| [WebElementBuilder](-web-element-builder/index.md) | `class WebElementBuilder`<br>Class for building WebView element matchers |

### Functions

| Name | Summary |
|---|---|
| [emptyChildAt](empty-child-at.md) | `fun `[`KRecyclerView`](-k-recycler-view/index.md)`.emptyChildAt(position: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`, tail: `[`KEmptyRecyclerItem`](-k-empty-recycler-item/index.md)`.() -> `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)<br>`fun `[`KListView`](-k-list-view/index.md)`.emptyChildAt(position: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`, tail: `[`KEmptyAdapterItem`](-k-empty-adapter-item/index.md)`.() -> `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)<br>Calls childAt() on your view with base child |
| [emptyChildWith](empty-child-with.md) | `fun `[`KRecyclerView`](-k-recycler-view/index.md)`.emptyChildWith(builder: `[`ViewBuilder`](-view-builder/index.md)`.() -> `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)`): `[`KEmptyRecyclerItem`](-k-empty-recycler-item/index.md)<br>`fun `[`KListView`](-k-list-view/index.md)`.emptyChildWith(builder: `[`DataBuilder`](-data-builder/index.md)`.() -> `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)`): `[`KEmptyAdapterItem`](-k-empty-adapter-item/index.md)<br>Calls childWith() on your view with base child |
| [emptyFirstChild](empty-first-child.md) | `fun `[`KRecyclerView`](-k-recycler-view/index.md)`.emptyFirstChild(tail: `[`KEmptyRecyclerItem`](-k-empty-recycler-item/index.md)`.() -> `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)<br>`fun `[`KListView`](-k-list-view/index.md)`.emptyFirstChild(tail: `[`KEmptyAdapterItem`](-k-empty-adapter-item/index.md)`.() -> `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)<br>Calls firstChild() on your view with base child |
| [emptyLastChild](empty-last-child.md) | `fun `[`KRecyclerView`](-k-recycler-view/index.md)`.emptyLastChild(tail: `[`KEmptyRecyclerItem`](-k-empty-recycler-item/index.md)`.() -> `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)<br>`fun `[`KListView`](-k-list-view/index.md)`.emptyLastChild(tail: `[`KEmptyAdapterItem`](-k-empty-adapter-item/index.md)`.() -> `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)<br>Calls lastChild() on your view with base child |
